Show / Hide Table of Contents

# Interface ICallGateSubscriber<TRet>

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateSubscriber<TRet>

##### Type Parameters

Name | Description
--- | ---
TRet |

### Methods

| Improve this Doc View Source

#### InvokeAction()

##### Declaration

    void InvokeAction()

| Improve this Doc View Source

#### InvokeFunc()

##### Declaration

    TRet InvokeFunc()

##### Returns

Type | Description
--- | ---
TRet |

| Improve this Doc View Source

#### Subscribe(Action)

##### Declaration

    void Subscribe(Action action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action | action |

| Improve this Doc View Source

#### Unsubscribe(Action)

##### Declaration

    void Unsubscribe(Action action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action | action |